## nvidia-graphics-drivers-570-server 570.133.20

=== src/nvidia-modeset/Makefile ===
###########################################################################
# Makefile for nv-modeset-kernel.o
###########################################################################

NV_MODULE_LOGGING_NAME ?= nvidia-modeset

VERSION_MK_DIR = ../../
include ../../utils.mk

include srcs.mk

##############################################################################
# Helper functions to determine the compiler type
##############################################################################
GET_COMPILER_TYPE = \
  $(shell $(VERSION_MK_DIR)/nv-compiler.sh type $(1))
##############################################################################

# The source files for nv-modeset-kernel.o are all SRCS and SRCS_CXX defined in
# srcs.mk, and the NVIDIA ID string
ALL_SRCS = $(SRCS) $(SRCS_CXX)
ALL_SRCS += $(NVIDSTRING)

SRC_COMMON = ../common

CONDITIONAL_CFLAGS :=

CFLAGS += -include $(SRC_COMMON)/sdk/nvidia/inc/cpuopsys.h

CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc
CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc/hw
CFLAGS += -I $(SRC_COMMON)/shared/inc
CFLAGS += -I $(SRC_COMMON)/inc
CFLAGS += -I $(SRC_COMMON)/softfloat/nvidia
CFLAGS += -I $(SRC_COMMON)/softfloat/source/include
CFLAGS += -I $(SRC_COMMON)/softfloat/source/8086-SSE
CFLAGS += -I $(SRC_COMMON)/unix/common/utils/interface
CFLAGS += -I $(SRC_COMMON)/unix/common/inc
CFLAGS += -I $(SRC_COMMON)/modeset
CFLAGS += -I os-interface/include
CFLAGS += -I kapi/interface
CFLAGS += -I ../nvidia/arch/nvalloc/unix/include
CFLAGS += -I interface
CFLAGS += -I include
CFLAGS += -I kapi/include
CFLAGS += -I generated
CFLAGS += -I $(SRC_COMMON)/displayport/inc
CFLAGS += -I $(SRC_COMMON)/displayport/inc/dptestutil
CFLAGS += -I $(SRC_COMMON)/inc/displayport

CFLAGS += -DNDEBUG
CFLAGS += -D_LANGUAGE_C
CFLAGS += -D__NO_CTYPE

CFLAGS += -DNV_CPU_INTRINSICS_KERNEL
CFLAGS += -DNVHDMIPKT_RM_CALLS_INTERNAL=0

# XXX it would be nice to only define these for appropriate files...
CFLAGS += -DSOFTFLOAT_ROUND_ODD
CFLAGS += -DSOFTFLOAT_FAST_DIV32TO16
CFLAGS += -DSOFTFLOAT_FAST_DIV64TO32

# Tell nvtiming to use nvkms import functions
CFLAGS += -DNVT_USE_NVKMS

# Tell SMG we're being compiled into kernel
CFLAGS += -DNV_SMG_IN_NVKMS

CFLAGS += -Wformat
CFLAGS += -Wreturn-type
CFLAGS += -Wswitch
CFLAGS += -Wunused-local-typedefs
CFLAGS += -Wchar-subscripts
CFLAGS += -Wparentheses
CFLAGS += -Wpointer-arith
CFLAGS += -Wcast-qual
CFLAGS += -Wall
CFLAGS += -Wextra
CFLAGS += -Wno-sign-compare
CFLAGS += -Wno-unused-parameter
CFLAGS += -Wno-missing-field-initializers
CFLAGS += -Wno-format-zero-length
CFLAGS += -Wmissing-declarations
CFLAGS += -Wno-cast-qual

CFLAGS += -O2

ifeq ($(TARGET_ARCH),x86_64)
  CFLAGS += -msoft-float
  CFLAGS += -mno-red-zone
  CFLAGS += -mcmodel=kernel
  CFLAGS += -mno-mmx
  CFLAGS += -mno-sse
  CFLAGS += -mno-sse2
  CFLAGS += -mno-3dnow
endif

ifeq ($(TARGET_ARCH),aarch64)
  CFLAGS += -mgeneral-regs-only
  CFLAGS += -march=armv8-a
  CFLAGS += -ffixed-x18
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mno-outline-atomics)
endif

ifeq ($(TARGET_ARCH),riscv64)
  CFLAGS += -march=rv64imac_zicsr_zifencei
  CFLAGS += -mabi=lp64
  CFLAGS += -mcmodel=medany
  CFLAGS += -mno-relax
endif

CFLAGS += -fno-pic
CFLAGS += -fno-common
CFLAGS += -fomit-frame-pointer
CFLAGS += -fno-strict-aliasing
CFLAGS += -ffunction-sections
CFLAGS += -fdata-sections
CFLAGS += -ffreestanding
CFLAGS += -fno-stack-protector

CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-overflow=2)
CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-truncation=1)

ifeq ($(TARGET_ARCH),x86_64)
  COMPILER_TYPE := $(call GET_COMPILER_TYPE, $(CC))
  ENDBR_SUPPORTED := $(call AS_HAS_INSTR, endbr64)

  FCF_SUPPORTED =

  #
  # GCC flags -fcf-protection=branch and -mindirect-branch=extern-thunk can
  # be used together after GCC version 9.4.0. See 
  # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93654 for details.
  # Check if GCC version is appropriate.
  #
  ifeq ($(COMPILER_TYPE),gcc)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 90400)
  endif

  #
  # Clang version 14.0.0 is required for -fcf-protection=branch to work
  # correctly. See commit
  # https://github.com/llvm/llvm-project/commit/dfcf69770bc522b9e411c66454934a37c1f35332
  #
  ifeq ($(COMPILER_TYPE),clang)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 140000)
  endif

  ifeq ($(FCF_SUPPORTED)-$(ENDBR_SUPPORTED),1-1)
    CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fcf-protection=branch)
  endif
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fno-jump-tables)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch=thunk-extern)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch-register)
endif

CFLAGS += $(CONDITIONAL_CFLAGS)

CC_ONLY_CFLAGS += -Wimplicit
CC_ONLY_CFLAGS += -Wstrict-prototypes
CC_ONLY_CFLAGS += -Wmissing-prototypes
CC_ONLY_CFLAGS += -std=gnu11

CXX_ONLY_CFLAGS += -std=gnu++11
CXX_ONLY_CFLAGS += -fno-operator-names
CXX_ONLY_CFLAGS += -fno-rtti
CXX_ONLY_CFLAGS += -fno-exceptions
CXX_ONLY_CFLAGS += -fcheck-new

SHADER_OBJS =

  CFLAGS += -DNVKMS_INCLUDE_HEADSURFACE=1

  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/include
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/include
  CFLAGS += -I $(SRC_COMMON)/unix/xzminidec/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-headsurface
  CFLAGS += -I src/shaders

  CFLAGS += -DNV_PUSH_IN_KERNEL
  CFLAGS += -DNV_XZ_CUSTOM_MEM_HOOKS
  CFLAGS += -DNV_XZ_USE_NVTYPES
  CFLAGS += -DXZ_DEC_SINGLE

  # Compress the shaders and embed in ELF object files.
  define COMPRESS_SHADERS
    $$(OUTPUTDIR)/$(1)_shaders.xz: src/shaders/g_$(1)_shaders
	@$(MKDIR) $$(OUTPUTDIR)
	$$(call quiet_cmd,XZ) -ce -C none < $$^ > $$@

    $$(eval $$(call READ_ONLY_OBJECT_FROM_FILE_RULE,$$(OUTPUTDIR)/$(1)_shaders.xz))

    SHADER_OBJS += $$(OUTPUTDIR)/$(1)_shaders.xz.o
  endef

  $(eval $(call COMPRESS_SHADERS,maxwell))
  $(eval $(call COMPRESS_SHADERS,pascal))
  $(eval $(call COMPRESS_SHADERS,volta))
  $(eval $(call COMPRESS_SHADERS,turing))
  $(eval $(call COMPRESS_SHADERS,ampere))
    $(eval $(call COMPRESS_SHADERS,hopper))
    $(eval $(call COMPRESS_SHADERS,blackwell))
    $(eval $(call COMPRESS_SHADERS,gb20x))

OBJS = $(call BUILD_OBJECT_LIST,$(ALL_SRCS))
OBJS += $(SHADER_OBJS)

# Define how to generate the NVIDIA ID string
$(eval $(call GENERATE_NVIDSTRING, \
  NV_KMS_ID, \
  UNIX Open Kernel Mode Setting Driver, $(OBJS)))

# Define how to build each object file from the corresponding source file.
$(foreach src, $(ALL_SRCS), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

NV_MODESET_KERNEL_O = $(OUTPUTDIR)/nv-modeset-kernel.o

.PHONY: all
all: $(NV_MODESET_KERNEL_O)

$(NV_MODESET_KERNEL_O): $(OBJS)
	$(call quiet_cmd,LD) -r -o $(NV_MODESET_KERNEL_O) $(OBJS)

.PHONY: clean
clean:
	$(RM) -rf $(OUTPUTDIR)

## nvidia-graphics-drivers-570-server 570.86.15

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.24.04.4) noble; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:49:03 +0100

=== debian/control ===
Source: nvidia-graphics-drivers-570-server
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Kuba Pawlak <kuba.pawlak@canonical.com>,
Vcs-Git: git://github.com/canonical/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/canonical/nvidia-graphics-drivers/tree/570-server
Build-Depends:
 debhelper (>= 12),
 dpkg-dev (>= 1.17.11~),
 xz-utils,
 zstd,
 dkms,
 libxext6,
 po-debconf,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
 libkmod-dev,
 libpciaccess-dev,
 pkg-config,
 libnvidia-egl-wayland1,
 libc6,
 libx11-6,
 python3,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-570-server
Architecture: amd64 arm64
Depends:
 libnvidia-gl-570-server (= ${binary:Version}),
 nvidia-dkms-570-server (<= 570.86.15-1),
 nvidia-dkms-570-server (>= 570.86.15),
 nvidia-kernel-common-570-server (<= 570.86.15-1),
 nvidia-kernel-common-570-server (>= 570.86.15),
 nvidia-kernel-source-570-server (= ${binary:Version}),
 libnvidia-compute-570-server (= ${binary:Version}),
 libnvidia-extra-570-server (= ${binary:Version}),
 nvidia-compute-utils-570-server (= ${binary:Version}),
 libnvidia-decode-570-server (= ${binary:Version}),
 libnvidia-encode-570-server (= ${binary:Version}),
 nvidia-utils-570-server (= ${binary:Version}),
 xserver-xorg-video-nvidia-570-server (= ${binary:Version}),
 libnvidia-cfg1-570-server (= ${binary:Version}),
 libnvidia-fbc1-570-server (= ${binary:Version}) [!ppc64el],
 ${misc:Depends}
Recommends:
 libnvidia-compute-570-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-decode-570-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-encode-570-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-fbc1-570-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-gl-570-server:i386 (= ${binary:Version}) [amd64]
Suggests:
 nvidia-settings, nvidia-prime (>= 0.8)
XB-Modaliases: ${modaliases}
XB-PmAliases: ${nvidia:pm-modaliases}
XB-Support: PB
Description: NVIDIA Server Driver metapackage
 This metapackage depends on the NVIDIA binary driver and on all of its libraries,
 to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
 applications on either X11 or on Wayland.
 .
 See /usr/share/doc/nvidia-driver-570-server/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-source-570-server
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-kernel-source
Replaces:
 nvidia-kernel-source
Provides:
 nvidia-kernel-source
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA kernel source package
 This package provides the NVIDIA kernel source needed by the userspace
 driver.

Package: nvidia-dkms-570-server
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-dkms-kernel
Replaces:
 nvidia-dkms-kernel
Provides:
 nvidia-dkms-kernel
Depends:
 dkms,
 nvidia-kernel-source-570-server (<= 570.86.15-1),
 nvidia-kernel-source-570-server (>= 570.86.15),
 nvidia-kernel-common-570-server (<= 570.86.15-1),
 nvidia-kernel-common-570-server (>= 570.86.15),
 nvidia-firmware-570-server-570.86.15,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA DKMS package
 This package builds the NVIDIA kernel module needed by the userspace
 driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel, and automatically rebuilt for
 any new kernel headers that are installed.

Package: nvidia-utils-570-server
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-driver-570-server,
Provides:
 nvidia-utils, nvidia-smi
Conflicts:
 nvidia-utils, nvidia-smi
Replaces:
 nvidia-utils, nvidia-smi
Description: NVIDIA Server Driver support binaries
 This package contains supporting binaries for the NVIDIA Server Driver.

Package: libnvidia-compute-570-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Depends:
  ${misc:Depends}, ${shlibs:Depends}
Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
 libnvidia-ml1 (= ${source:Version}),
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
 libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1, libcuda-12.5-1,
 libcuda-12.6-1, libcuda-12.7-1, libcuda-12.8-1,
 libcuda1 (= ${source:Version}),
 libcuda.so.1 (= ${source:Version})
Conflicts: libnvidia-compute, nvidia-opencl-icd,
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
 libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1, libcuda-12.5-1,
 libcuda-12.6-1, libcuda-12.7-1, libcuda-12.8-1
Replaces: libnvidia-compute, nvidia-opencl-icd,
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
 libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1, libcuda-12.5-1,
 libcuda-12.6-1, libcuda-12.7-1, libcuda-12.8-1
Description: NVIDIA libcompute package
 This package provides a set of libraries which enable the NVIDIA Server Driver
 to use GPUs for parallel general purpose computation through CUDA and
 OpenCL.

Package: nvidia-compute-utils-570-server
Architecture: amd64 arm64
Depends:
 libnvidia-compute-570-server, adduser,
 ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-compute-utils, nvidia-persistenced
Conflicts: nvidia-compute-utils, nvidia-persistenced
Replaces: nvidia-compute-utils, nvidia-persistenced
Description: NVIDIA compute utilities
 This package provides utility binaries for paraller general purpose
 computing use cases with the NVIDIA Server Driver.
 .
 CUDA MPS is a feature that allows multiple CUDA processes to share a single
 GPU context. CUDA MPS should be transparent to CUDA programs.
 .
 CUDA MPS requires a device that supports Unified Virtual Address (UVA) and
 has compute capability SM 3.5 or higher.
 Pre-CUDA 4.0 APIs are not supported under CUDA MPS.

Package: nvidia-headless-no-dkms-570-server
Architecture: amd64 arm64
Depends:
 nvidia-kernel-common-570-server (<= 570.86.15-1),
 nvidia-kernel-common-570-server (>= 570.86.15),
 nvidia-kernel-source-570-server (= ${binary:Version}),
 libnvidia-compute-570-server (= ${binary:Version}),
 nvidia-compute-utils-570-server (= ${binary:Version}),
 libnvidia-cfg1-570-server (= ${binary:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage - no DKMS
 This metapackage installs the NVIDIA Server Driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL. DKMS will not be installed, and, therefore, the kernel module
 will not be built.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-570-server metapackage.

Package: nvidia-headless-570-server
Architecture: amd64 arm64
Conflicts: nvidia-headless
Provides: nvidia-headless
Replaces: nvidia-headless
Depends:
 nvidia-headless-no-dkms-570-server,
 nvidia-dkms-570-server,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage
 This metapackage installs the NVIDIA Server Driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-570-server metapackage.

Package: nvidia-kernel-common-570-server
Architecture: amd64 arm64
Conflicts: nvidia-kernel-common
Provides: nvidia-kernel-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.86.15
Replaces:
 nvidia-kernel-common
Description: Shared files used with the kernel module
 This package installs all the optional accessory files for the NVIDIA
 kernel module.
 .
 Install this package if you want to blacklist any conflicting kernel
 modules, and if you want udev to load the the NVIDIA kernel modules,
 and to create the uvm devices automatically.

Package: nvidia-firmware-570-server-570.86.15
Architecture: amd64 arm64
Breaks:
 nvidia-firmware-570-570.86.15
Replaces:
 nvidia-firmware-570-570.86.15
Depends:
 ${misc:Depends}
Description: Firmware files used by the kernel module
 This package installs required firmware files for the NVIDIA kernel
 module.

Package: libnvidia-gl-570-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Conflicts: libnvidia-gl
Replaces: libnvidia-gl
Provides: libnvidia-gl, libglx-vendor, libegl-vendor
Depends:
 libnvidia-common-570-server, ${misc:Depends}, ${shlibs:Depends},
 libnvidia-egl-wayland1
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
 This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
 Vulkan ICD.

Package: libnvidia-common-570-server
Architecture: all
Multi-Arch: foreign
Conflicts: libnvidia-common
Replaces: libnvidia-common
Provides: libnvidia-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Shared files used by the NVIDIA libraries
 This package provides a set of files that are required by the NVIDIA
 libraries.

Package: libnvidia-extra-570-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Breaks: libnvidia-common-570-server (<< 440.64-0ubuntu3~)
Conflicts: libnvidia-extra
Replaces: libnvidia-extra, libnvidia-common-570-server (<< 440.64-0ubuntu3~)
Provides: libnvidia-extra
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Extra libraries for the NVIDIA Server Driver
 This package provides an additional set of libraries to be used with
 the NVIDIA Server Driver.

Package: xserver-xorg-video-nvidia-570-server
Section: non-free/x11
Architecture: amd64 arm64
Depends:
 libnvidia-cfg1-570-server (= ${binary:Version}),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: xorg-driver-binary, nvidia-driver-binary
Replaces: xorg-driver-binary, nvidia-driver-binary
Provides:
 xorg-driver-binary, nvidia-driver-binary,
 ${nvidia:xorgProvides}
Description: NVIDIA binary Xorg driver
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See /usr/share/doc/nvidia-driver-570-server/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: libnvidia-cfg1-570-server
Architecture: amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg1-any,
Conflicts:
 libnvidia-cfg1-any,
Replaces:
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: libnvidia-fbc1-570-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
# ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-fbc1,
Conflicts:
 libnvidia-fbc1,
Replaces:
 libnvidia-fbc1,
Description: NVIDIA OpenGL-based Framebuffer Capture runtime library

## nvidia-graphics-drivers-570-server 570.124.06

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.124.06-0ubuntu1) plucky; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:35:52 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu4) plucky; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-570-server (= ${binary:Version}),
- nvidia-dkms-570-server (<= 570.86.15-1),
- nvidia-dkms-570-server (>= 570.86.15),
- nvidia-kernel-common-570-server (<= 570.86.15-1),
- nvidia-kernel-common-570-server (>= 570.86.15),
+ nvidia-dkms-570-server (<= 570.124.06-1),
+ nvidia-dkms-570-server (>= 570.124.06),
+ nvidia-kernel-common-570-server (<= 570.124.06-1),
+ nvidia-kernel-common-570-server (>= 570.124.06),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  libnvidia-extra-570-server (= ${binary:Version}),
@@ -57,6 +57,7 @@
  nvidia-settings, nvidia-prime (>= 0.8)
 XB-Modaliases: ${modaliases}
 XB-PmAliases: ${nvidia:pm-modaliases}
+XB-Prefer-Variant: Open
 XB-Support: PB
 Description: NVIDIA Server Driver metapackage
  This metapackage depends on the NVIDIA binary driver and on all of its libraries,
@@ -92,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-570-server (<= 570.86.15-1),
- nvidia-kernel-source-570-server (>= 570.86.15),
- nvidia-kernel-common-570-server (<= 570.86.15-1),
- nvidia-kernel-common-570-server (>= 570.86.15),
- nvidia-firmware-570-server-570.86.15,
+ nvidia-kernel-source-570-server (<= 570.124.06-1),
+ nvidia-kernel-source-570-server (>= 570.124.06),
+ nvidia-kernel-common-570-server (<= 570.124.06-1),
+ nvidia-kernel-common-570-server (>= 570.124.06),
+ nvidia-firmware-570-server-570.124.06,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -182,8 +183,8 @@
 Package: nvidia-headless-no-dkms-570-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-570-server (<= 570.86.15-1),
- nvidia-kernel-common-570-server (>= 570.86.15),
+ nvidia-kernel-common-570-server (<= 570.124.06-1),
+ nvidia-kernel-common-570-server (>= 570.124.06),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  nvidia-compute-utils-570-server (= ${binary:Version}),
@@ -220,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.86.15
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.124.06
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -231,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-570-server-570.86.15
+Package: nvidia-firmware-570-server-570.124.06
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-570-570.86.15
-Replaces:
- nvidia-firmware-570-570.86.15
+ nvidia-firmware-570-570.124.06
+Replaces:
+ nvidia-firmware-570-570.124.06
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -335,4 +336,3 @@
  libnvidia-fbc1,
 Replaces:
  libnvidia-fbc1,
-Description: NVIDIA OpenGL-based Framebuffer Capture runtime library

## nvidia-graphics-drivers-570-server 570.133.20

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.133.20-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:16:07 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:39:18 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.20.04.5) focal; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:50:52 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  libkmod-dev,
  libpciaccess-dev,
  pkg-config,
- libnvidia-egl-wayland1,
  libc6,
  libx11-6,
  python3,
@@ -32,10 +31,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-570-server (= ${binary:Version}),
- nvidia-dkms-570-server (<= 570.124.06-1),
- nvidia-dkms-570-server (>= 570.124.06),
- nvidia-kernel-common-570-server (<= 570.124.06-1),
- nvidia-kernel-common-570-server (>= 570.124.06),
+ nvidia-dkms-570-server (<= 570.133.20-1),
+ nvidia-dkms-570-server (>= 570.133.20),
+ nvidia-kernel-common-570-server (<= 570.133.20-1),
+ nvidia-kernel-common-570-server (>= 570.133.20),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  libnvidia-extra-570-server (= ${binary:Version}),
@@ -93,11 +92,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-570-server (<= 570.124.06-1),
- nvidia-kernel-source-570-server (>= 570.124.06),
- nvidia-kernel-common-570-server (<= 570.124.06-1),
- nvidia-kernel-common-570-server (>= 570.124.06),
- nvidia-firmware-570-server-570.124.06,
+ nvidia-kernel-source-570-server (<= 570.133.20-1),
+ nvidia-kernel-source-570-server (>= 570.133.20),
+ nvidia-kernel-common-570-server (<= 570.133.20-1),
+ nvidia-kernel-common-570-server (>= 570.133.20),
+ nvidia-firmware-570-server-570.133.20,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +182,8 @@
 Package: nvidia-headless-no-dkms-570-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-570-server (<= 570.124.06-1),
- nvidia-kernel-common-570-server (>= 570.124.06),
+ nvidia-kernel-common-570-server (<= 570.133.20-1),
+ nvidia-kernel-common-570-server (>= 570.133.20),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  nvidia-compute-utils-570-server (= ${binary:Version}),
@@ -221,7 +220,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.124.06
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.133.20
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +231,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-570-server-570.124.06
+Package: nvidia-firmware-570-server-570.133.20
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-570-570.124.06
-Replaces:
- nvidia-firmware-570-570.124.06
+ nvidia-firmware-570-570.133.20
+Replaces:
+ nvidia-firmware-570-570.133.20
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -336,3 +335,4 @@
  libnvidia-fbc1,
 Replaces:
  libnvidia-fbc1,
+Description: NVIDIA OpenGL-based Framebuffer Capture runtime library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export NO_DOC_PKG_MANGLE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

include debian/rules.defs
XORG_ABI_LIST		?=
XORG_BOUND		?=

version			 = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e's/.*\+really\.//')
debian_version	= $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e's/.*\+really\.//')
NVIDIA_RELEASE   = $(version)
version_major		 = $(firstword $(subst ., ,$(version)))

# system libdir
libdir			?= usr/lib/$(DEB_HOST_MULTIARCH)

last_suffix		:= $(lastword $(subst -, ,$(DEB_SOURCE)))
ifeq ($(last_suffix),server)
flavour := $(version_major)-server
other_flavour := $(version_major)
else
flavour := $(version_major)
other_flavour := $(version_major)-server
endif
pkg_meta         := nvidia-driver-$(flavour)
pkg_meta_open    := $(pkg_meta)-open
pkg_driver       := nvidia-$(flavour)
xorg_driver      := xserver-xorg-video-nvidia-$(flavour)
#pkg_module       := $(shell echo "$(pkg_driver)" | sed s/\-/_/g)
pkg_module       := nvidia
pkg_kernel       := nvidia-kernel-$(flavour)

ifeq ($(DEB_HOST_ARCH),amd64)
DKMS_disabled_modules :=
amd64_only :=
amd64_excluded := \#
else
amd64_only := \#
amd64_excluded :=
endif

ifeq ($(DEB_HOST_ARCH),i386)
DKMS_disabled_modules := nvidia-uvm
i386_only :=
i386_excluded := \#
else
i386_only := \#
i386_excluded :=
endif

ifeq ($(DEB_HOST_ARCH),armhf)
DKMS_disabled_modules := nvidia-uvm
armhf_only :=
armhf_excluded := \#
else
armhf_only := \#
armhf_excluded :=
endif

ifeq ($(DEB_HOST_ARCH),arm64)
DKMS_disabled_modules :=
arm64_only :=
arm64_excluded := \#
else
arm64_only := \#
arm64_excluded :=
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
DKMS_disabled_modules :=
ppc64el_only :=
ppc64el_excluded := \#
else
ppc64el_only := \#
ppc64el_excluded :=
endif

# i386 binaries are shipped in amd64
# Or could use ARCH_LIST to unpack all arches
ifeq ($(DEB_HOST_ARCH),i386)
unpack-stamp: NVIDIA-Linux-amd64
else
unpack-stamp: NVIDIA-Linux-$(DEB_HOST_ARCH)
endif

comma		 = ,
xorg_depends	 = $(foreach abi, $(XORG_ABI_LIST), xorg-video-abi-$(abi) |)
xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND)
xorg_provides	 = xorg-driver-video


.PHONY: prepare patch
prepare: unpack-stamp compare-copyright-license
patch: prepare

NVIDIA-Linux-%:
	sh $*/${NVIDIA_FILENAME_$*} --extract-only
	ln -s ${NVIDIA_DIRNAME_$*} $@
	ln -s $@ NVIDIA-Linux
	#gunzip $@/*.1.gz

# Unpack all architectures, we may need files from all of them.
unpack-stamp:
	dh_testdir
	#QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
	ls -al
	touch $@

# Reformat the LICENSE to the format needed for debian/copyright.
LICENSE.txt: unpack-stamp
	sed -e 's/^ *//; s/ *$$//; s/^$$/./; s/^/ /;' NVIDIA-Linux/LICENSE > $@

# Compare the license in debian/copyright with the LICENSE shipped in the archive.
compare-copyright-license: LICENSE.txt
	sed -e '1,/^License: NVIDIA-graphics-drivers/d; 1,/^License: NVIDIA-graphics-drivers$$/d; /^$$\|^Comment:$$/,$$d; /^ \.$$/d' debian/copyright > copyright.tmp
	sed -e '/^ \.$$/d' LICENSE.txt > LICENSE.tmp
	diff -w copyright.tmp LICENSE.tmp
	rm -f copyright.tmp LICENSE.tmp

build-device-create:
	rm -f $(CURDIR)/debian/device-create/ub-device-create
	cd $(CURDIR)/debian/device-create/ && $(MAKE) all || exit 1
	@echo "ub-device-create built"

%:
	dh $@

override_dh_auto_clean:
	rm -fr .pc
	rm -f NVIDIA-Linux
	rm -fr $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
	rm -fr kernel-source-tree
	rm -f nvidia.ids nv-kernel.ids nv-readme.ids pci.ids.nvidia*
	rm -f debian/runtimepm_ids
	rm -f LICENSE.txt LICENSE.tmp copyright.tmp
	test ! -d debian/po || debconf-updatepo
	rm -f debian/$(pkg_driver).substvars
	rm -f debian/dkms.conf
	rm -f debian/device-create/ub-device-create

override_dh_clean: regen-from-templates
	dh_clean

override_dh_auto_configure: prepare regen-from-templates

override_dh_compress:
	dh_compress -Xsupported-gpus.json

override_dh_install: generate-modaliases build-device-create
	# Use our custom dkms.conf file
	cp -f $(CURDIR)/debian/dkms_nvidia.conf $(CURDIR)/debian/dkms.conf
	cp -f $(CURDIR)/debian/dkms_nvidia_open.conf $(CURDIR)/debian/open-kernel/dkms.conf

ifeq (,$(findstring nvidia-uvm,$(DKMS_disabled_modules)))
	# Make sure the UVM module is built
	cat $(CURDIR)/debian/dkms.conf.fragment >> $(CURDIR)/debian/dkms.conf
	cat $(CURDIR)/debian/dkms.conf.fragment >> $(CURDIR)/debian/open-kernel/dkms.conf
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
	# POWER 9 seems to need this
	sed -i 's/--user nvidia-persistenced --no-persistence-mode/--user root --persistence-mode/' \
		 $(CURDIR)/debian/nvidia-compute-utils-$(flavour).nvidia-persistenced.service
endif

	dh_install -p nvidia-compute-utils-$(flavour)
	mkdir -p $(CURDIR)/debian/nvidia-compute-utils-$(flavour)/lib/systemd
	dh_installsystemd --name=nvidia-persistenced --no-start --no-stop-on-upgrade --no-restart-after-upgrade
	dh_install -p nvidia-kernel-common-$(flavour)

	mkdir -p $(CURDIR)/debian/nvidia-kernel-common-$(version_major)/lib/systemd
	dh_installsystemd --name=nvidia-hibernate --no-start --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installsystemd --name=nvidia-resume --no-start --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installsystemd --name=nvidia-suspend --no-start --no-stop-on-upgrade --no-restart-after-upgrade

	dh_install

override_dh_installinit:
	dh_installinit --noscripts

override_dh_shlibdeps:
	LD_LIBRARY_PATH=/$(libdir):$(LD_LIBRARY_PATH) dh_shlibdeps -Xlibnvidia-pkcs11-openssl3.so

# Do not run dh_strip here.  The NVIDIA license says:
#
#     2.1.2 Linux/FreeBSD Exception.  Notwithstanding the foregoing terms of
#     Section 2.1.1, SOFTWARE designed exclusively for use on the Linux or
#     FreeBSD operating systems, or other operating systems derived from the
#     source code to these operating systems, may be copied and
#     redistributed, provided that the binary files thereof are not modified
#     in any way (except for unzipping of compressed files).
#
# Stripping the binary modules would constitute modifying the binary files
# in a way other than unzipping of compressed files.
override_dh_strip:
override_dh_strip_nondeterminism:

override_dh_installsystemd:

############################################################################

.PHONY: regen-from-templates
regen-from-templates:
	# Get rid of files belonging to different flavours
	for i in debian/templates/*.in; do \
		old=`echo $$i | sed -e "s|templates\/||g" | \
				sed -e "s|\.in\$$||g" | \
				sed -e "s|nvidia-graphics-drivers|nvidia-*|g" | \
				sed -e "s|version|*|g" | \
				sed -e "s|flavour|*|g"`; \
		rm -f $$old; done
	# Create important strings
	for i in debian/templates/*.in; do \
		dest=`echo $$i | sed -e "s|templates\/||g" | \
				 sed -e "s|\.in\$$||g" | \
				 sed -e "s|version|$(version)|g" | \
				 sed -e "s|flavour|$(flavour)|g"`; \
		sed -e "s|#LIBDIR#|$(libdir)|g"         \
			-e "s|#ARMHF_ONLY#|$(armhf_only)|g" \
			-e "s|#ARM64_ONLY#|$(arm64_only)|g" \
			-e "s|#AMD64_ONLY#|$(amd64_only)|g" \
			-e "s|#I386_ONLY#|$(i386_only)|g" \
			-e "s|#PPC64EL_ONLY#|$(ppc64el_only)|g" \
			-e "s|#ARMHF_EXCLUDED#|$(armhf_excluded)|g" \
			-e "s|#ARM64_EXCLUDED#|$(arm64_excluded)|g" \
			-e "s|#AMD64_EXCLUDED#|$(amd64_excluded)|g" \
			-e "s|#I386_EXCLUDED#|$(i386_excluded)|g" \
			-e "s|#PPC64EL_EXCLUDED#|$(ppc64el_excluded)|g" \
			-e "s|#NVEXCLUDEMODULES#|$(DKMS_disabled_modules)|g" \
			-e "s|#FLAVOUR#|$(flavour)|g" \
			-e "s|#OTHER_FLAVOUR#|$(other_flavour)|g" \
			-e "s|#DRIVERNAME#|$(pkg_driver)|g" \
			-e "s|#VERSION#|$(version)|g" \
			-e "s|#DEBIAN_VERSION#|$(debian_version)|g" \
			-e "s|#MODULENAME#|$(version)|g" \
			-e "s|#DEB_HOST_MULTIARCH#|$(DEB_HOST_MULTIARCH)|g" \
			$$i > $$dest;      \
	done

############################################################################

CACHE			?= ../.cache
ORIGDIR			?= nvidia-graphics-drivers-$(flavour).orig

## nvidia-graphics-drivers-570-server 570.148.08

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.148.08-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release 570.148.08 ERD4 (LP: #2109958)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 28 May 2025 10:19:59 +0200

nvidia-graphics-drivers-570-server (570.133.20-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:13:44 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:37:35 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.24.10.4) oracular; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:48:04 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  libkmod-dev,
  libpciaccess-dev,
  pkg-config,
+ libnvidia-egl-wayland1,
  libc6,
  libx11-6,
  python3,
@@ -31,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-570-server (= ${binary:Version}),
- nvidia-dkms-570-server (<= 570.133.20-1),
- nvidia-dkms-570-server (>= 570.133.20),
- nvidia-kernel-common-570-server (<= 570.133.20-1),
- nvidia-kernel-common-570-server (>= 570.133.20),
+ nvidia-dkms-570-server (<= 570.148.08-1),
+ nvidia-dkms-570-server (>= 570.148.08),
+ nvidia-kernel-common-570-server (<= 570.148.08-1),
+ nvidia-kernel-common-570-server (>= 570.148.08),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  libnvidia-extra-570-server (= ${binary:Version}),
@@ -92,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-570-server (<= 570.133.20-1),
- nvidia-kernel-source-570-server (>= 570.133.20),
- nvidia-kernel-common-570-server (<= 570.133.20-1),
- nvidia-kernel-common-570-server (>= 570.133.20),
- nvidia-firmware-570-server-570.133.20,
+ nvidia-kernel-source-570-server (<= 570.148.08-1),
+ nvidia-kernel-source-570-server (>= 570.148.08),
+ nvidia-kernel-common-570-server (<= 570.148.08-1),
+ nvidia-kernel-common-570-server (>= 570.148.08),
+ nvidia-firmware-570-server-570.148.08,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -182,8 +183,8 @@
 Package: nvidia-headless-no-dkms-570-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-570-server (<= 570.133.20-1),
- nvidia-kernel-common-570-server (>= 570.133.20),
+ nvidia-kernel-common-570-server (<= 570.148.08-1),
+ nvidia-kernel-common-570-server (>= 570.148.08),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  nvidia-compute-utils-570-server (= ${binary:Version}),
@@ -220,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.133.20
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.148.08
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -231,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-570-server-570.133.20
+Package: nvidia-firmware-570-server-570.148.08
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-570-570.133.20
-Replaces:
- nvidia-firmware-570-570.133.20
+ nvidia-firmware-570-570.148.08
+Replaces:
+ nvidia-firmware-570-570.148.08
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -335,4 +336,3 @@
  libnvidia-fbc1,
 Replaces:
  libnvidia-fbc1,
-Description: NVIDIA OpenGL-based Framebuffer Capture runtime library

## nvidia-graphics-drivers-570-server 570.158.01

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.158.01-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.158.01 ERD5 (LP: #2114898)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 18 Jun 2025 16:50:16 +0200

nvidia-graphics-drivers-570-server (570.148.08-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.148.08 ERD4 (LP: #2109958)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 28 May 2025 10:21:47 +0200

nvidia-graphics-drivers-570-server (570.133.20-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:15:19 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:38:29 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.22.04.4) jammy; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:49:57 +0100

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-570-server (= ${binary:Version}),
- nvidia-dkms-570-server (<= 570.148.08-1),
- nvidia-dkms-570-server (>= 570.148.08),
- nvidia-kernel-common-570-server (<= 570.148.08-1),
- nvidia-kernel-common-570-server (>= 570.148.08),
+ nvidia-dkms-570-server (<= 570.158.01-1),
+ nvidia-dkms-570-server (>= 570.158.01),
+ nvidia-kernel-common-570-server (<= 570.158.01-1),
+ nvidia-kernel-common-570-server (>= 570.158.01),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  libnvidia-extra-570-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-570-server (<= 570.148.08-1),
- nvidia-kernel-source-570-server (>= 570.148.08),
- nvidia-kernel-common-570-server (<= 570.148.08-1),
- nvidia-kernel-common-570-server (>= 570.148.08),
- nvidia-firmware-570-server-570.148.08,
+ nvidia-kernel-source-570-server (<= 570.158.01-1),
+ nvidia-kernel-source-570-server (>= 570.158.01),
+ nvidia-kernel-common-570-server (<= 570.158.01-1),
+ nvidia-kernel-common-570-server (>= 570.158.01),
+ nvidia-firmware-570-server-570.158.01,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +183,8 @@
 Package: nvidia-headless-no-dkms-570-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-570-server (<= 570.148.08-1),
- nvidia-kernel-common-570-server (>= 570.148.08),
+ nvidia-kernel-common-570-server (<= 570.158.01-1),
+ nvidia-kernel-common-570-server (>= 570.158.01),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  nvidia-compute-utils-570-server (= ${binary:Version}),
@@ -221,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.148.08
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.158.01
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-570-server-570.148.08
+Package: nvidia-firmware-570-server-570.158.01
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-570-570.148.08
-Replaces:
- nvidia-firmware-570-570.148.08
+ nvidia-firmware-570-570.158.01
+Replaces:
+ nvidia-firmware-570-570.158.01
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
